IncGamers Network
|
News

Steam has OpenSSL security vulnerability. Do not use until fixed.

Steam Logo

Update: Updated list of PC game services affected and actions you need to take.

A warning has been issued to Steam users this afternoon as it appears there’s a vulnerability with their code when you’re logging in.

Update: According to Valve, this vulnerability is now fixed. However, you should change your password and reset Steam Guard.

SteamDB discovered the problem a few hours ago and it appears to be affecting all the Steam domains, including steamcommunity.com. It’s recommended that you don’t login to Steam for now until a fix has been applied by Valve. The bug found is the Heartbleed bug.

The Heartbleed Bug is a serious vulnerability in the popular OpenSSL cryptographic software library. This weakness allows stealing the information protected, under normal conditions, by the SSL/TLS encryption used to secure the Internet. SSL/TLS provides communication security and privacy over the Internet for applications such as web, email, instant messaging (IM) and some virtual private networks (VPNs).

The Heartbleed bug allows anyone on the Internet to read the memory of the systems protected by the vulnerable versions of the OpenSSL software. This compromises the secret keys used to identify the service providers and to encrypt the traffic, the names and passwords of the users and the actual content. This allows attackers to eavesdrop communications, steal data directly from the services and users and to impersonate services and users

This post is really a warning and with any luck Valve will be hopping on the case. The advice is don’t login to Steam for now but if you are logged in already then don’t panic. Just don’t logout then log back in.




Related to this article

Comments

  • Jim Bob

    Looks like they fixed it.

  • You don’t nee my name

    This:
    “Update: According to Valve, this vulnerability is now fixed. However, you should change your password and reset Steam Guard.”

    is not true.
    They patched the openssl version, but they didn’t revoke and changed their server certificate.
    This means, that it is still insecure. See here for a test:
    http://possible.lv/tools/hb/?domain=accounts.google.com

    • You don’t nee my name

      Sry, i tested the wrong url.
      Now it is save to use steam.
      It wasn’t 8 hours ago.

  • JOe

    I just have to say that stopping using steam was pointless anyway, this vulnerability has been around for 2 years.

    If your data had been stolen it will have already been stolen. …

    All you can do now is change your passwords… for everything 🙁